Summary: A FTP proxy server.
Name: jftpgw
Version: 0.12.0
Release: 3
License: GPL
Group: System Environment/Daemons
Packager: Simon Matter <simix@datacomm.ch>
Distribution: Invoca
Url: http://www.mcknight.de/jftpgw/
Source: http://www.mcknight.de/jftpgw/%{name}-%{version}.tar.bz2
Source1: jftpgw.init
%define prefix /usr

Prereq: /sbin/chkconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
jftpgw is an FTP proxy/gateway that uses the FTP protocol (unlike
those FTP proxies that fetch an FTP file but work as an http proxy).
You can use it to make servers behind a firewall/NAT server
(masquerading server) accessible or to allow users behind such solutions
to transfer files to and from the outside of the LAN. With the new sftp
support you can also use FTP to get files from a machine that is
only accessible with an ssh connection.

%prep
%setup -q

%build
%configure --prefix=%{prefix} --with-logpath=/var/log --with-confpath=/etc --bindir=%{prefix}/sbin
make
 
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
 
make install DESTDIR=%{buildroot}
install jftpgw %{buildroot}%{prefix}/sbin/jftpgw
cp jftpgw.access.sample %{buildroot}/etc/jftpgw.access
cp jftpgw.conf.sample %{buildroot}/etc/jftpgw.conf
install -d %{buildroot}/etc/rc.d/init.d
install -c -m 755 %SOURCE1 %{buildroot}/etc/rc.d/init.d/jftpgw
install -c -m 644 jftpgw.1 %{buildroot}%{_mandir}/man
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-, root, root)
%doc COPYING
%attr(0755,root,root) %{prefix}/sbin/jftpgw
%attr(0644,root,root) %config(noreplace) /etc/jftpgw.access
%attr(0644,root,root) %config(noreplace) /etc/jftpgw.conf
%attr(0755,root,root) %config /etc/rc.d/init.d/jftpgw
%{_mandir}/man1/jftpgw.1*
 
%post
/sbin/chkconfig --add jftpgw

%preun
if [ $1 = 0 ]; then
    service jftpgw stop >/dev/null 2>&1
    /sbin/chkconfig --del jftpgw
fi

%postun
if [ "$1" -ge "1" ]; then
  service jftpgw condrestart >/dev/null 2>&1
fi

%changelog
* Tue Oct 31 2001 Simon Matter <simix@datacomm.ch>
- Added manpage
* Tue Aug 28 2001 Simon Matter <simix@datacomm.ch>
- Upgraded to 0.12.0
* Mon Jun 25 2001 Simon Matter <simix@datacomm.ch>
- removed a bug in init script
